# -*- coding: utf-8 -*-
# Copyright 2017 Jairo Llopis <jairo.llopis@tecnativa.com>
# License LGPL-3.0 or later (http://www.gnu.org/licenses/lgpl.html).

import logging

from odoo import fields, models


_logger = logging.getLogger(__name__)


class IrUiView(models.Model):
    _inherit = 'ir.ui.view'

    multi_theme_generated = fields.Boolean(
        name="Generated from multi theme module",
        readonly=True,
        help="Was this view autogenerated by website_multi_theme?",
    )
    was_active = fields.Boolean(
        help="Indicates if the view was originally active before converting "
             "the single website theme that owns it to multi website mode.",
    )
